%if 0%{?fedora} >= 30
# disabled by default
%bcond_with py2
%else
%bcond_without py2
%endif

%bcond_with tests

%global pypi_name xnat
%global desc %{expand: \
A new XNAT client that exposes XNAT objects/functions as python objects/functions.
The aim is to abstract as much of the REST API away as possible and make xnatpy feel
like native Python code. This reduces the need for the user to know the details
of the REST API. Low level functionality can still be accessed via the connection object
which has get, head, put, post, delete methods for more directly calling the REST API.}

Name:           python-%{pypi_name}
Version:        0.3.17
Release:        1%{?dist}
Summary:        A new XNAT client that exposes XNAT objects/functions as python objects/functions.
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        https://pypi.python.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}

%if %{with py2}
%package -n python2-%{pypi_name}
Summary:        %{summary}

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-isodate
BuildRequires: python2-requests
BuildRequires: python2-progressbar2
BuildRequires: python2-sphinx_rtd_theme
BuildRequires: python2-six

%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}
%endif

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-isodate
BuildRequires: python3-requests
BuildRequires: python3-utils
BuildRequires: python3-progressbar2
BuildRequires: python3-sphinx_rtd_theme
BuildRequires: python3-six

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%if %{with py2}
%py2_build
%endif

%install
%if %{with py2}
%py2_install
%endif
%py3_install

%check
%if %{with tests}
%if %{with py2}
%{__python2} setup.py test
%endif
%{__python3} setup.py test
%endif
 
%if %{with py2}
%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/xnat_cp_project
%{python2_sitelib}/%{pypi_name}-%{version}-py2.?.egg-info
%{python2_sitelib}/%{pypi_name}
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/xnat_cp_project
%{python3_sitelib}/xnat/
%{python3_sitelib}/xnat*.egg-info

%changelog
* Mon Apr 08 2019 Luis Bazan <lbazan@fedoraproject.org> - 0.3.17-1
- New upstream version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 19 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.3.11-4
- enable python-progressbar2

* Thu Nov 29 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.3.11-3
- Use template of neuro-sig

* Tue Nov 20 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.3.11-2
- Add remove bundled egg info

* Mon Nov 19 2018 Luis Bazan <lbazan@fedoraproject.org> - 0.3.11-1
- New upstream
